Bug 438611 - wallpapoz crashes with "IndexError: list index out of range"
wallpapoz crashes with "IndexError: list index out of range"
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-22 17:06 EDT by Marek Mahut
Modified: 2008-04-23 03:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 03:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-03-22 17:06:13 EDT
Description of problem:

After installing wallpapoz on Fedora 8, I'm not able to lunch it -- it
terminates with python error.

Version-Release number of selected component (if applicable):

F8 up-to-date
wallpapoz-0.4.1-2.fc8

How reproducible:

always

Steps to Reproduce:
1. install wallpapoz
2. open terminal
3. try to lunch wallpapoz
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/wallpapoz", line 1239, in <module>
    wallpapozgui = Wallpapoz()
  File "/usr/bin/wallpapoz", line 125, in __init__
    self.load_treeview()
  File "/usr/bin/wallpapoz", line 753, in load_treeview
    self.treeview_selection_changed(None)
  File "/usr/bin/wallpapoz", line 1171, in treeview_selection_changed
    position_iter = self.get_selected_iter_of_treeview("anything")
  File "/usr/bin/wallpapoz", line 309, in get_selected_iter_of_treeview
    iter = self.store.get_iter(pathlist[length_of_path_list-1])
IndexError: list index out of range


Additional information:

I can reproduce it only on my machine (second is working fine).
Comment 1 Mamoru TASAKA 2008-03-23 02:31:49 EDT
Well, I want to investigate this, however would you check
if your problem still exists even after you once remove ~/.wallpapoz ?
Comment 2 Marek Mahut 2008-03-23 03:34:02 EDT
Mamoru, yes it does with same error.
Comment 3 Akbar 2008-04-02 00:13:11 EDT
Hi Marek,

Try to remove ~/.wallpapoz then launch Wallpapoz. It will give error. Then you
paste what is in ~/.wallpapoz/wallpapoz.xml here. You're not using fancy thing
like Beryl or Compiz, right? Tell me what your desktop background (picture or
just color) is when Wallpapoz give you error.
Comment 4 Marek Mahut 2008-04-23 03:53:13 EDT
Akbar, hmm... this is working now. I'm not using any fancy thing, it may be my
resolution at work, but I don't have the data or monitor to test it again :/

closing as WORKSFORME for the moment, I'll reopen it if I hit the issue again.

Thank you for your time.

Note You need to log in before you can comment on or make changes to this bug.